#!/bin/sh
# checks the version

source ./functions.sh

version=$1
file=$2
hotfix=$3
is_app=$4
name=$5

if [ ! -f ${file} ]; then
    if [ ${is_app} -eq 1 ]; then
        log_error "Application not installed!"
    else 
        log_error "Linux application platform version couldn't be determined!"
    fi
    exit 1
fi

installed=`tr -d '\n\r ' < ${file}`
if [ "${version}" != "${installed}" ]; then
    throw_error "Service release for build ${version} can't be installed on build ${installed}!"
fi
if [ ${is_app} -eq 1 ]; then
    image_installed=0
    if [ -f "/var/www/innovaphone/hotfix" ]; then
        image_installed=`tr -d '\n\r ' < /var/www/innovaphone/hotfix`
    fi
    if [ ${hotfix} -gt ${image_installed} ]; then
        throw_error "Application sr${hotfix} requires linux application platform sr${hotfix} (currently ${image_installed})! Please install the latest SR for the Linux AP itself before installing an application SR."
    fi
fi
if [ ! $6 ]; then
    log_msg "Installing ${name} sr${hotfix}"
fi
exit 0